@font-face { font-family: 'Baloo2'; src: url('/fonts/Baloo2-VariableFont_wght.ttf'); }

/* css clean up */

*{
	font-family: 'Baloo2', sans-serif; font-weight: 300;

	box-sizing: border-box;
	margin: 0;
	padding: 0;
    text-decoration: none;

    user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;

    -webkit-user-drag: none;

    /*border: 1px solid red;*/
}

:root {

    /* colors */
    --background: #ffffff;
    --background-bg: #00100e;
    --background-layer: #002824;
    --background-layer-2: #005b50;
    --accent: #0e5c3a;
    --text: #ffffff;
    --text-drk: #ffffff;
    --layer: #a7a7a7;
    --layer-2: #6b9878;
    --layer-3: #69AF9E;
    --layer-2-transparent: #03889961;
    --layer-2-transparent-2: #03889971;
    --layer-3-transparent: #2c4e4571;
}

textarea{
    resize: vertical;
}

body {
    background-color: var(--background-bg);
}

.bg {
    position: fixed;
    z-index: -1;
    top: 0; left: 0;
    height: 40rem; width: 100%;
    background-image: url(/images/bg.webp);
    background-size: cover;
    background-position: center 100%;
    background-repeat: no-repeat;
    mask-image: linear-gradient(#000 40%,#000000f1 47%, #00000017 89%, #00000000);
    opacity: .5;
}

.no-phone {
    display: block;
}
.no-desk {
    display: none;
}

/* components */

.hover {
    transition: opacity .2s ease;
}
.hover:hover {
    opacity: .6;   
}

p {
    color: var(--background);
}
h2 {
    margin-bottom: .5rem;
}
h3 {
    color: var(--background);
}

.inpextra{
	position: absolute;
	top: -99rem;
	left: -99rem;
}

.about-icon {
    position: absolute;
    height: 162%; aspect-ratio: 1;
    right: -6rem; top: 0;
    opacity: .6;
    background-position: center center;
    background-size: contain;
    background-repeat: no-repeat;
}

.logo {
    margin: 2rem auto;
    max-width: 910px;
    width: calc(90% - 5.2rem);
    height: 12rem;
    background-image: url(/images/logo.svg);
    background-position: center center;
    background-size: contain;
    background-repeat: no-repeat;
}
.motion-wrapper {
    display: grid;
    text-align: center;
}
.about {
    margin: 3rem auto 0 auto;
    /* max-width: 910px; */
    overflow: hidden;
    /* width: calc(90% - 5.2rem); */
    width: 100%;
    background-color: var(--layer-2-transparent);
    color: var(--background);
    backdrop-filter: blur(24px);
    padding: 2.9rem 3rem;
    border-radius: .2rem .2rem 0 0;
}

.main-grid {
    display: grid;
    grid-template-columns: minmax(5vw, auto) minmax(50px, 455px) minmax(50px, 455px) minmax(5vw, auto);
}

nav {
    position: sticky;
    top: 0;
    margin: auto;
    /* max-width: 910px; */
    /* width: calc(90% - 5.2rem); */
    width: 100%;
    z-index: 4;
    background-color: var(--layer-2-transparent);
    backdrop-filter: blur(24px);
    border-radius: 0 0 1rem 1rem;
    background-color: #1bc6e4;
    overflow: hidden;
}
nav ul {
    display: flex;
    flex-wrap: wrap;
}

li  {
    flex-grow: 1;
    min-width: 10rem;
    list-style: none;
    text-align: center;
    display: grid;
    transition: background-color .3s ease;
}
li:hover {
    background-color: #001C25;
}
li a {
    padding: .5rem;
    cursor: pointer;
    width: 100%; height: 100%;
    color: var(--background);
    font-size: 1.1rem;
}

h3 {
    width: 100%;
    color: var(--text-drk);
    margin: 2.5rem 0 2rem 0;
    padding: 0 1.8rem;
    font-size: 2rem;
    line-height: 0;
}

form {
    width: 100%;
    margin-top: 5rem;
    padding: 3rem 0;
    overflow: visible;
    display: grid;
    grid-template-columns: minmax(5vw, auto) minmax(50px, 455px) minmax(50px, 455px) minmax(5vw, auto);
    gap: 3rem 0;
    overflow: scroll;
    color: var(--text);
    margin-bottom: 3rem;
}
form div {
    position: relative;
}

.centered {
    grid-column: 2 / 4;
}

.form-data {
    width: 100%;
    overflow: visible;
    margin: auto;
    display: grid;
    grid-template-columns: calc(50% - .7rem) calc(50% - 1.7rem);
    gap: 3rem 2.4rem;
    color: var(--text);
}
.form-data-styles {
    margin-top: 3rem;
    background-color: var(--layer-3-transparent);
    padding: 4rem 1.5rem 1.7rem 1.5rem;
    backdrop-filter: blur(24px);
    border-radius: .2rem;
}

form label {
    top: -1.6rem; left: .1rem;
    position: absolute;
    color: var(--layer-2);
    color: #84b892;
    /* color: var(--background); */
    /* text-shadow: 0 0 7px black */
}
form input, form textarea {
    width: 100%;
    background-color: var(--background-layer);
    border: none;
    outline: none;
    color: var(--layer-2);
    font-size: 1rem;
    border-radius: .2rem;
    padding: .6rem .9rem;
    box-shadow: -1.5px 1.5px 0 1px var(--background-layer-2);
    field-sizing: content;
}
form input::placeholder, form textarea::placeholder {
    color: var(--background-layer-2);
}
form input:focus, form textarea:focus {
    box-shadow: 0px 0px 0 2px var(--background-layer-2);
    background-color: #213C3A;
}

.submit-container {
    display: flex;
    margin-top: -1rem;
    justify-content: center;
}
    
.submit {
    grid-area: sign-up;
    height: 2.5rem; width: 15rem;
    align-self: center;
    cursor: pointer;
    justify-self: end;
    border-radius: .3rem;
    background: linear-gradient(#004929, #309500);
    border: 1px solid #337759;
    box-shadow: none;
    color: var(--background);
    padding: .6rem 0 .5rem 0;
    line-height: 1rem;
    transition: filter .2s ease, scale .2s ease;
}
.submit:hover {
    scale: 1.1;
    filter: brightness(1.5);
}

.zahlungsarten {
    opacity: .7;
    font-size: .9rem;
    text-align: center;
    padding: 0;
    margin-top: -1rem;
}

form .split {
    display: flex;
    gap: 1rem;
}
form .split div:first-child {
    width: 5.3rem;
}
form .split div:last-child {
    width: 100%;
}

.split-even {
    display: grid;
    gap: 1rem;
    grid-template-columns: 1fr 1fr;
}

form textarea {
    min-height: 4.7rem;
    max-height: 13.7rem;
}

form h2 {
    width: 100%;
    color: var(--text-drk);
    margin-top: 2rem;
    font-size: 2rem;
    line-height: 0;
}

strong {
    all: inherit;
    display: inline;
    color: #F23317;
}

.pay {
    width: 100%;
}

.full {
    grid-column: 1 / 5;
}
.form-data .full {
    grid-column: span 2;
}

h1, h2, h3, h4, h5, h6, p, a {
    cursor: default;
}

.selection {
    user-select: text;
    -webkit-user-select: text;
    -ms-user-select: text;

    cursor: text;
}
.selection::selection {
    color: #F23317;
}

.book-event {
    margin-top: -2.5rem;
    background-color: var(--layer-2-transparent);
    backdrop-filter: blur(24px);
    border-radius: .2rem;
}

fieldset {
    all: unset;
}

.button-array {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}
.button-array div {
    position: relative;
    flex-grow: 1;
    width: auto;
    border-radius: 0;
    border: none;
    border: 4px solid transparent;
}
.button-array div input {
    position: absolute;
    opacity: 0;
}
.button-array div label {
    position: absolute;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: var(--text);
    top: 0; left: 0;
    width: 100%; height: 100%;
    background-color: #03606877;
    transition: background-color .3s ease;
    cursor: pointer;
}
.button-array div input:checked + label {
    background-color: #001C25;
}
.button-array div label:hover {
    background-color: var(--layer-3);
}
.button-array div label p {
    font-size: 1.3rem;
    cursor: pointer;
    word-wrap: break-word;
}
.button-array:last-child div label p:first-child {
    font-size: 1rem;
    opacity: .8;
}

.button-array:last-child div label div {
    position: absolute;
    top: 0; left: 0;
    height: auto; width: auto;
    display: flex;
    border: none;
}
.price {
    background-color: #10608e;
    padding: .1rem 1.6rem .1rem .7rem;
    font-size: 1rem;
    clip-path: polygon(0 0, 100% 0%, calc(100% - 1.3rem) 100%, 0 100%);
}

.old-price {
    background-color: #1c433b;
    opacity: .5;
    text-decoration: line-through;
    padding: .1rem 1.6rem .1rem 1.4rem;
    clip-path: polygon(1.3rem 0, 100% 0%, calc(100% - 1.3rem) 100%, 0 100%);
    margin-left: -1.3rem;
}

.rabatt {
    padding: .1rem 1.6rem .1rem 1.4rem;
    font-size: 1rem;
    clip-path: polygon(1.3rem 0, 100% 0%, calc(100% - 1.3rem) 100%, 0 100%);
    margin-left: -1.6rem;
    background-color: #CE0014;
}

.book-event .button-array div label.no-bg {
    background-color: #001C2522;
    cursor: default;
}

.event-type-box div {
    height: 5rem;
    min-width: 12rem;
}
.event-time-box div {
    height: 9rem;
    min-width: 18rem;
}
.calendar div {
    height: 8vw;
    max-height: 4rem;
}
.calendar {
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    border: 3px solid transparent;
}

.calendar div {
    border: 1px solid transparent;
}

.button-array div .diff-week p {
    color: #ffffff33;
}

.calendar-nav {
    padding: 4px 4px 2px 4px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}
.calendar-nav a {
    font-size: 1.3rem;
}
.calendar-nav div, .calendar-nav a {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: var(--text);
    width: 100%; height: 3rem;
    background-color: #03606877;
    border: 2px solid transparent;
    transition: background-color .3s ease;
}
#previous-month.disabled {
    pointer-events: none;
    cursor: default;
    color: #ffffff55;
}

.calendar-nav div select {
    appearance: none;
    border: none;
    color: #FFF;
    border-radius: 2px;
    background-color: #0A424577;
    padding: 0 16px;
    outline: none;
    height: 100%; width: 100%;
    font-size: 1rem;
    transition: background-color .3s ease;
}
.calendar-nav a:hover {
    background-color: var(--layer-3);
    cursor: pointer;
}

.calendar-nav div img {
    position: absolute;
    right: 16px;
    height: 1rem;
    opacity: .8;
}

.disabled:hover {
    background-color: #03606877 !important;
    cursor: default !important;
}

/* .button-array:first-child div:first-child {
    border-radius: 1rem 0 0 0;
    overflow: hidden;
}
.button-array:first-child div:last-child {
    border-radius: 0 1rem 0 0;
    overflow: hidden;
}
.button-array:last-child div:first-child {
    border-radius: 0 0 0 1rem;
    overflow: hidden;
}
.button-array:last-child div:last-child {
    border-radius: 0 0 1rem 0;
    overflow: hidden;
} */

.card-p {
    background-color: var(--layer-2-transparent-2);
    color: var(--background);
    backdrop-filter: blur(24px);
    padding: 2.9rem 3rem;
    /* border-radius: 1rem; */
}


.button-array div .ausverkauft {
    position: absolute;
    top: 0; left: 0;
    width: 100%; height: 100%;
    background-image: url(/images/ausverkauft.svg);
    background-position: center center;
    background-repeat: no-repeat;
    background-size: contain;
    z-index: 10;
    background-color: #022d30e4;
}
.button-array div .NotAvailable {
    background-image: url(/images/nicht-verf.svg);
    position: absolute;
    top: 0; left: 0;
    width: 100%; height: 100%;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: contain;
    z-index: 10;
    background-color: #022d30e4;
}

#coordinates {
    border-radius: .3rem .3rem 0 0;
}
#map {
    border-radius: 0 0 0.3rem 0.3rem;
    box-shadow: -2px 2.5px 0 1px var(--background-layer-2) !important;
}

.event-adresse {
    position: relative;
    padding: 2rem 0 2.7rem 0;
}
.event-adress-bg {
    position: absolute;
    left: -1.5rem;
    width: calc(100% + 3rem); height: 100%;
    background-color: #001D2699;
    border-bottom: 1px solid #001D25;
    border-top: 1px solid #001D25;
}
.event-adresse h2 {
    margin-top: 0;
    line-height: 2.5rem;
}
.event-adresse p {
    margin-bottom: 1rem;
}

.form-send-success{
    margin-top: 5rem;
	display: none;
}

.checkout-button-container {
    width: 100%;
    display: flex;
    margin-top: -1rem;
    justify-content: center;
    margin-top: 2rem;
}

#checkout-button {
    grid-area: sign-up;
    height: 2.5rem; width: 15rem;
    align-self: center;
    cursor: pointer;
    justify-self: end;
    border-radius: .3rem;
    background: linear-gradient(#004929, #309500);
    border: 1px solid #337759;
    box-shadow: none;
    color: var(--background);
    padding: .6rem 0 .5rem 0;
    line-height: 1rem;
    font-size: 1rem;
    transition: filter .2s ease, scale .2s ease;
}
#checkout-button:hover {
    scale: 1.1;
    filter: brightness(1.5);
}

.status {
    margin-bottom: 20vh;
}

.Schule {
    background-color: #034f5433 !important;
}
.Schule:hover {
    background-color: #034f5433 !important;
}
.Schule p {
    color: #ffffff26;
}

/* media-thin */

@media only screen and (max-width: 800px) {
    form, .about, nav {
        width: 100% !important;
    }
    .about-icon {
        opacity: .1
    }
}

@media only screen and (max-width: 730px) {
    form, .form-data, .main-grid {
        grid-template-columns: 1fr;
    }
    .centered {
        grid-column: span 1;
    }
    .form-data .full {
        grid-column: span 1;
    }
    .logo {
        width: calc(100% - 5.2rem);
        background-image: url(/images/logo-up.svg);
    }
    form h3 {
        /* padding-left: 2rem; */
        text-align: center;
    }
}

/* media-phone */

@media only screen and (max-width: 500px) {
    .no-phone {
        display: none;
    }
    .no-desk {
        display: block;
    }
    .about, nav {
        width: calc(90% - .7rem);
    }
    form {
        width: 100%;
    }
    .form-data {
        width: 100%;
    }
    .event-image {
        grid-template-columns: 1fr;
        grid-template-rows: 2rem 2rem 1fr;
        grid-template-areas:    "date ."
                                "time ."
                                "registrations .";
    }
    .event-registrations {
        grid-area: registrations;
        justify-self: start;
        padding: .2rem 1rem .1rem 1rem;
    }
    .event {
        min-width: 10rem;
        grid-template-columns: 1fr;
        grid-template-rows: 15rem 2rem 3rem;
        grid-template-areas:    "img"
                                "title"
                                "location";
    }
    .calendar div {
        height: 12vw;
    }
    .calendar div label p {
        font-size: .9rem;
    }
}

/* media-thin-phone */

@keyframes scroll-left {
    to {
        left: -14rem;
    }
}

.inf-logo-scroll {
    justify-self: center;
    position: relative;
    width: 100%; height: 4rem;
    margin-top: 3rem;
    margin-inline: auto;
    overflow: hidden;
    mask-image: linear-gradient(to right, rgba(0,0,0,0),rgba(0,0,0,1) 20%, rgba(0,0,0,1) 80%, rgba(0,0,0,0));
}

.element1 {
    animation-delay: calc(30s / 5 * (5 - 1) * -1);
}
.element2 {
    animation-delay: calc(30s / 5 * (5 - 2) * -1);
}
.element3 {
    animation-delay: calc(30s / 5 * (5 - 3) * -1);
}
.element4 {
    animation-delay: calc(30s / 5 * (5 - 4) * -1);
}
.element5 {
    animation-delay: calc(30s / 5 * (5 - 5) * -1);
}

.scroll-element {
    position: absolute;
    width: 14rem; height: 4rem;
    left: max(calc(14rem * 5), 100%);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center center;
    animation-name: scroll-left;
    animation-duration: 30s;
    opacity: .7;
    animation-timing-function: linear;
    animation-iteration-count: infinite;
}